<script setup>
import { reactive } from "vue";
import AddressItem from "./AddressItem.vue";
import { logEvent } from "histoire/client";

const state = reactive({
  from: {
    label: "Origine",
    road: "11 rue du Marchix",
    zipCode: "44000",
    city: "Nantes",
    complement: "Makina Corpus",
    country: "Pays de la Loire", // ici, nous ne déclarons pas la variable "state"
  },
});
</script>

<template>
  <Story title="composants/Affichage d'adresse">
    <Variant title="without prop">
      <AddressItem />
    </Variant>
    <Variant title="with address">
      <AddressItem
        :address="state.from"
        @update="logEvent('update', $event)"
        @search="logEvent('search', $event)"
      />
    </Variant>
  </Story>
</template>

<docs lang="md">
# AddressItem component

This component helps to display an address.

Two buttons are also available to explicit the user want to update the current address or want to search.
</docs>
